Page MenuHomePhabricator

Interface to display JS error logs
Closed, ResolvedPublic

Description

Figure out a low-effort way to display error logs with support for searching (especially searching by error id) and filtering (especially filtering by module/file) and frequency data.

  • investigate reusing the existing infrastructure for server-side error logs (ElasticSearch + Kibana)
  • investigate using one of the FLOSS applications (e.g. Sentry)

Related Objects

Event Timeline

Tgr created this task.Oct 1 2014, 12:33 PM
Tgr claimed this task.
Tgr raised the priority of this task from to Normal.
Tgr updated the task description. (Show Details)
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Gilles moved this task from Untriaged to Prototyping on the Multimedia board.Nov 24 2014, 4:09 PM
Krinkle renamed this task from Interface do display JS error logs to Interface to display JS error logs.Nov 24 2014, 4:11 PM
Krinkle updated the task description. (Show Details)
Tgr removed Tgr as the assignee of this task.Jan 30 2015, 2:38 AM
Gilles moved this task from Prototyping to Untriaged on the Multimedia board.Apr 6 2015, 9:22 AM
Jdforrester-WMF edited projects, added Sentry; removed Multimedia.May 7 2015, 3:57 PM
Tgr closed this task as Resolved.Jul 16 2015, 5:09 PM
Tgr claimed this task.